Agile CRM
All-in-One CRM. Automate your sales, marketing, and service in one platform. Avoid data leaks and enable consistent messaging.
Categories: CRM
Type: agileCrm/v1
Connections
Version: 1
Basic Authentication
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| domain | Domain | STRING | https://DOMAIN.agilecrm.com | true |
| username | STRING | Email address of Agile CRM account. | true | |
| password | REST API Key | STRING | Can be found in Admin settings -> Developers & API -> REST API Key. | true |
Connection Setup
Find REST API Key
- Navigate to your dashboard.
- Click on your profile image.
- Click on Admin Settings.
- Click on Developers & API.
- Click on REST API.
Actions
Create Contact
Name: createContact
Creates a new contact.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| first_name | First Name | STRING | The first name of the contact. | true |
| last_name | Last Name | STRING | The last name of the contact. | false |
| STRING | Email of the contact. | true | ||
| address | Address | STRING | The address of the contact. | false |
| city | City | STRING | The city where the contact lives. | false |
| state | State | STRING | The state where the contact lives. | false |
| zip_code | Zip Code | STRING | The zip code of the contact. | false |
| country | Country | STRING | The country where the contact lives. | false |
| website | Website | STRING | The website of the contact. | false |
| phone | Phone | STRING | The phone number of the contact. | false |
| company | Company | STRING | The company where the contact works. | false |
| tags | Tags | ARRAY Items[STRING($tag)] | Tags of the contact. | false |
Example JSON Structure
{
"label" : "Create Contact",
"name" : "createContact",
"parameters" : {
"first_name" : "",
"last_name" : "",
"email" : "",
"address" : "",
"city" : "",
"state" : "",
"zip_code" : "",
"country" : "",
"website" : "",
"phone" : "",
"company" : "",
"tags" : [ "" ]
},
"type" : "agileCrm/v1/createContact"
}Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| id | NUMBER | The id of the contact. |
| type | STRING | The type of the contact. |
| created_time | INTEGER | The time the contact was created. |
| updated_time | INTEGER | The time the contact was updated. |
| last_contacted | INTEGER | The time the contact was last contacted. |
| last_emailed | INTEGER | The time the contact was last emailed. |
| last_campaign_emailed | INTEGER | The time the contact was last emailed about the campaign. |
| last_called | INTEGER | The time the contact was last called. |
| viewed_time | INTEGER | The time the contact was last viewed. |
| viewed | OBJECT Properties{INTEGER(viewed_time)} | |
| star_value | INTEGER | The star value of the contact. |
| lead_score | INTEGER | The lead score of the contact. |
| klout_score | STRING | The klout score of the contact. |
| tags | ARRAY Items[STRING] | Tags of the contact. |
| tagsWithTime | ARRAY Items[{STRING(tag), NUMBER(createdTime), INTEGER(availableCount), STRING(entity_type)}] | |
| properties | ARRAY Items[{STRING(type), STRING(name), STRING(value)}] | Properties of the contact. |
| campaignStatus | ARRAY Items[] | The status of the campaign. |
| entity_type | STRING | The entity type. |
| source | STRING | The source that created the contact. |
| contact_company_id | STRING | The company ID of the contact. |
| unsubscribeStatus | ARRAY Items[] | |
| emailBounceStatus | ARRAY Items[] | |
| formId | INTEGER | The form ID of the contact. |
| browserId | ARRAY Items[] | The browser ID of the contact. |
| lead_source_id | INTEGER | The lead source ID of the contact. |
| lead_status_id | INTEGER | The lead status ID of the contact. |
| is_lead_converted | BOOLEAN Optionstrue, false | Whether the lead converted the contact. |
| lead_converted_time | INTEGER | The time when the lead converted the contact. |
| is_duplicate_existed | BOOLEAN Optionstrue, false | Whether the duplicate of the contact exists . |
| trashed_time | INTEGER | The time when the contact was trashed. |
| restored_time | INTEGER | The time when the contact was restored. |
| is_duplicate_verification_failed | BOOLEAN Optionstrue, false | Whether the duplicate of the contact verification failed. |
| is_client_import | BOOLEAN Optionstrue, false | Whether the contact was imported. |
| concurrent_save_allowed | BOOLEAN Optionstrue, false | Whether the contact was saved as concurrent. |
| owner | OBJECT Properties{NUMBER(id), STRING(domain), STRING(email), STRING(phone), STRING(name), STRING(pic), STRING(schedule_id), STRING(calendar_url), STRING(calendarURL)} | The owner of the contact. |
Output Example
{
"id" : 0.0,
"type" : "",
"created_time" : 1,
"updated_time" : 1,
"last_contacted" : 1,
"last_emailed" : 1,
"last_campaign_emailed" : 1,
"last_called" : 1,
"viewed_time" : 1,
"viewed" : {
"viewed_time" : 1
},
"star_value" : 1,
"lead_score" : 1,
"klout_score" : "",
"tags" : [ "" ],
"tagsWithTime" : [ {
"tag" : "",
"createdTime" : 0.0,
"availableCount" : 1,
"entity_type" : ""
} ],
"properties" : [ {
"type" : "",
"name" : "",
"value" : ""
} ],
"campaignStatus" : [ ],
"entity_type" : "",
"source" : "",
"contact_company_id" : "",
"unsubscribeStatus" : [ ],
"emailBounceStatus" : [ ],
"formId" : 1,
"browserId" : [ ],
"lead_source_id" : 1,
"lead_status_id" : 1,
"is_lead_converted" : false,
"lead_converted_time" : 1,
"is_duplicate_existed" : false,
"trashed_time" : 1,
"restored_time" : 1,
"is_duplicate_verification_failed" : false,
"is_client_import" : false,
"concurrent_save_allowed" : false,
"owner" : {
"id" : 0.0,
"domain" : "",
"email" : "",
"phone" : "",
"name" : "",
"pic" : "",
"schedule_id" : "",
"calendar_url" : "",
"calendarURL" : ""
}
}Create Deal
Name: createDeal
Creates a new deal.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| name | Name | STRING | Name of the deal. | true |
| description | Description | STRING | Brief description about deal. | false |
| expected_value | Expected Value | NUMBER | Estimated value of a deal. | true |
| pipeline_id | Pipeline ID | NUMBER | ID of the pipeline that the deal follows. | false |
| milestone | Milestone | STRING Depends Onpipeline_id | Milestone the deal is currently at. | true |
| probability | Probability | INTEGER | Should be ranging between 0-100. | true |
| owner_id | Owner ID | STRING | ID of the owner of the deal. | true |
Example JSON Structure
{
"label" : "Create Deal",
"name" : "createDeal",
"parameters" : {
"name" : "",
"description" : "",
"expected_value" : 0.0,
"pipeline_id" : 0.0,
"milestone" : "",
"probability" : 1,
"owner_id" : ""
},
"type" : "agileCrm/v1/createDeal"
}Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| colorName | STRING | Color of the deal in display. |
| id | NUMBER | ID of the deal. |
| apply_discount | BOOLEAN Optionstrue, false | Whether the discount is applied. |
| discount_value | NUMBER | The discount value of the deal. |
| discount_amt | NUMBER | The discount amount of the deal. |
| discount_type | STRING | The discount type of the deal. |
| name | STRING | The name of the deal. |
| contact_ids | ARRAY Items[] | The contacts that are part of the deal. |
| custom_data | ARRAY Items[] | Custom data of the deal. |
| products | ARRAY Items[] | The products that are part of the deal. |
| description | STRING | The description of the deal. |
| expected_value | NUMBER | The expected value of the deal. |
| milestone | STRING | The milestone of the deal. |
| probability | NUMBER | The probability of the deal being won. |
| owner_id | STRING | The ID of the owner of the deal. |
| created_time | INTEGER | The time when the deal was created. |
| milestone_changed_time | INTEGER | The time when the deal milestone was changed. |
| entity_type | STRING | The entity type. |
| notes | ARRAY Items[] | The notes of the deal. |
| notes_ids | ARRAY Items[] | The notes ID. |
| note_created_time | INTEGER | The time when the deal note was created. |
| pipeline_id | NUMBER | The ID of the pipeline. |
| archived | BOOLEAN Optionstrue, false | Whether the deal is archived. |
| won_date | INTEGER | The date when the deal was won. |
| lost_reason_id | INTEGER | The ID of the lost reason. |
| deal_source_id | INTEGER | The ID of the deal source. |
| total_deal_value | NUMBER | The total value of the deal. |
| updated_time | INTEGER | The time when the deal was updated. |
| isCurrencyUpdateRequired | BOOLEAN Optionstrue, false | Whether the deal currency requires updating. |
| currency_conversion_value | NUMBER | The currency conversion value. |
| tags | ARRAY Items[STRING] | Tags of the deal. |
| tagsWithTime | ARRAY Items[] | Tags with time of the deal. |
| owner | ARRAY Items[{NUMBER(id), STRING(domain), STRING(email), STRING(phone), STRING(name), STRING(pic), STRING(schedule_id), STRING(calendar_url), STRING(calendarURL)}] | The owner of the deal. |
| contacts | ARRAY Items[] | Contacts of the deal. |
Output Example
{
"colorName" : "",
"id" : 0.0,
"apply_discount" : false,
"discount_value" : 0.0,
"discount_amt" : 0.0,
"discount_type" : "",
"name" : "",
"contact_ids" : [ ],
"custom_data" : [ ],
"products" : [ ],
"description" : "",
"expected_value" : 0.0,
"milestone" : "",
"probability" : 0.0,
"owner_id" : "",
"created_time" : 1,
"milestone_changed_time" : 1,
"entity_type" : "",
"notes" : [ ],
"notes_ids" : [ ],
"note_created_time" : 1,
"pipeline_id" : 0.0,
"archived" : false,
"won_date" : 1,
"lost_reason_id" : 1,
"deal_source_id" : 1,
"total_deal_value" : 0.0,
"updated_time" : 1,
"isCurrencyUpdateRequired" : false,
"currency_conversion_value" : 0.0,
"tags" : [ "" ],
"tagsWithTime" : [ ],
"owner" : [ {
"id" : 0.0,
"domain" : "",
"email" : "",
"phone" : "",
"name" : "",
"pic" : "",
"schedule_id" : "",
"calendar_url" : "",
"calendarURL" : ""
} ],
"contacts" : [ ]
}Find your Pipeline ID
Only by using the Agile CRM API /milestone/pipelines.
** Via API **
- Use the
GET /milestone/pipelinesendpoint. - Returns a list of available pipelines in your Agile CRM account.
- In the response, locate the
idproperty for the pipeline you want to use.
Find your Milestone
- Click on your profile icon in the right upper corner
- Click on "Admin settings"
- Click on "Deals"
- Open tab "Tracks and Milestones"
- There you will see Tracks (Pipelines) and their Milestones
Find your Owner ID
Only by using the Agile CRM API /contacts.
** Via API **
- Use the
GET /contactsendpoint. - Returns a list of contacts in your Agile CRM account.
- In the response, locate the
ownerobject and use theidfield as the Owner ID.
Create Task
Name: createTask
Creates a new task.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| subject | Subject | STRING | The subject of the task. | true |
| type | Task Type | STRING OptionsCALL, EMAIL, FOLLOW_UP, MEETING, MILESTONE, SEND, TWEET, OTHER | The type of the task. | true |
| priority_type | Priority | STRING OptionsHIGH, NORMAL, LOW | The priority of the task. | true |
| due | Due Date | DATE_TIME | The due date of the task. | true |
Example JSON Structure
{
"label" : "Create Task",
"name" : "createTask",
"parameters" : {
"subject" : "",
"type" : "",
"priority_type" : "",
"due" : "2021-01-01T00:00:00"
},
"type" : "agileCrm/v1/createTask"
}Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| id | NUMBER | The ID of the task. |
| type | STRING | The type of the task. |
| priority_type | STRING | The priority of the task. |
| due | INTEGER | The due date of the task. |
| task_completed_time | INTEGER | The time when task was completed. |
| task_start_time | INTEGER | The time when task was started. |
| created_time | INTEGER | The time when task was created. |
| is_complete | BOOLEAN Optionstrue, false | Whether the task is completed. |
| contacts | ARRAY Items[{NUMBER(id), STRING(type), INTEGER(created_time), INTEGER(updated_time)}] | Contacts that are connected to the task. |
| subject | STRING | The subject of the task. |
| entity_type | STRING | The entity type. |
| notes | ARRAY Items[] | Notes of the task. |
| note_ids | ARRAY Items[] | Notes ID. |
| progress | INTEGER | The progress of the task. |
| status | STRING | The status of the task. |
| deal_ids | ARRAY Items[] | IDs of the deals that are connected to the task. |
| taskOwner | OBJECT Properties{NUMBER(id), STRING(domain), STRING(email), STRING(phone), STRING(name), STRING(pic), STRING(schedule_id), STRING(calendar_url), STRING(calendarURL)} | Owner of the task. |
Output Example
{
"id" : 0.0,
"type" : "",
"priority_type" : "",
"due" : 1,
"task_completed_time" : 1,
"task_start_time" : 1,
"created_time" : 1,
"is_complete" : false,
"contacts" : [ {
"id" : 0.0,
"type" : "",
"created_time" : 1,
"updated_time" : 1
} ],
"subject" : "",
"entity_type" : "",
"notes" : [ ],
"note_ids" : [ ],
"progress" : 1,
"status" : "",
"deal_ids" : [ ],
"taskOwner" : {
"id" : 0.0,
"domain" : "",
"email" : "",
"phone" : "",
"name" : "",
"pic" : "",
"schedule_id" : "",
"calendar_url" : "",
"calendarURL" : ""
}
}Triggers
New Task
Name: newTask
Triggers when a new task is added.
Type: POLLING
Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| id | NUMBER | The ID of the task. |
| type | STRING | The type of the task. |
| priority_type | STRING | The priority of the task. |
| due | INTEGER | The due date of the task. |
| task_completed_time | INTEGER | The time when task was completed. |
| task_start_time | INTEGER | The time when task was started. |
| created_time | INTEGER | The time when task was created. |
| is_complete | BOOLEAN Optionstrue, false | Whether the task is completed. |
| contacts | ARRAY Items[{NUMBER(id), STRING(type), INTEGER(created_time), INTEGER(updated_time)}] | Contacts that are connected to the task. |
| subject | STRING | The subject of the task. |
| entity_type | STRING | The entity type. |
| notes | ARRAY Items[] | Notes of the task. |
| note_ids | ARRAY Items[] | Notes ID. |
| progress | INTEGER | The progress of the task. |
| status | STRING | The status of the task. |
| deal_ids | ARRAY Items[] | IDs of the deals that are connected to the task. |
| taskOwner | OBJECT Properties{NUMBER(id), STRING(domain), STRING(email), STRING(phone), STRING(name), STRING(pic), STRING(schedule_id), STRING(calendar_url), STRING(calendarURL)} | Owner of the task. |
JSON Example
{
"label" : "New Task",
"name" : "newTask",
"type" : "agileCrm/v1/newTask"
}What to do if your action is not listed here?
If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.
To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.
How is this guide?
Last updated on
Affinity
Affinity is a customer relationship management (CRM) platform that leverages relationship intelligence to help businesses strengthen connections and drive engagement with client and prospects.
Aha!
Aha! is a comprehensive product management software platform that helps teams set strategy, capture ideas, and plan, prioritize, and track work to build products customers love.